Bug 824976 - Review Request: glassfish-toplink-essentials - Glassfish JPA Toplink Essentials
Review Request: glassfish-toplink-essentials - Glassfish JPA Toplink Essentials
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 836218
  Show dependency treegraph
 
Reported: 2012-05-24 14:02 EDT by gil cattaneo
Modified: 2013-03-13 00:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 16:48:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pobara: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-24 14:02:43 EDT
Spec URL: http://gil.fedorapeople.org/glassfish-toplink-essentials.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-toplink-essentials-2.0.46-1.fc16.src.rpm
Description: Glassfish Persistence Implementation.
Fedora Account System Username: gil
Comment 3 Patryk Obara 2012-06-28 14:00:21 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

$ rpmlint glassfish-toplink-essentials.spec
glassfish-toplink-essentials.spec: W: invalid-url Source1: glassfish-bootstrap.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint glassfish-toplink-essentials-2.0.46-2.fc16.src.rpm
glassfish-toplink-essentials.src: W: invalid-url Source1: glassfish-bootstrap.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings

$ rpmlint glassfish-toplink-essentials-2.0.46-2.fc17.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint glassfish-toplink-essentials-javadoc-2.0.46-2.fc17.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].

See Issue (1)

[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

glassfish-persistence-v2-b46-src.zip :
  MD5SUM this package     : efd7acb74e5b6417d29801ad70e6c883
  MD5SUM upstream package : efd7acb74e5b6417d29801ad70e6c883

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[-]  Package must own all directories that it creates or must require other packages for directories it uses.

See Issue (1)

[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[-]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[!]  Latest version is packaged.

Issue (2)

[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4205990

=== Issues ===

1. You're placing jars in glassfish directory, but this dir is not owned by
   any package. There are only 2 jar files, so you don't need to put them
   into subdir; simply put both files in %{_javadir}.

   https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

2. I am not sure where does version come from; do you really need to download part from 2.0 and part from 2.1 branches?
   How about pulling only
   http://dlc.sun.com.edgesuite.net/javaee5/v2.1.2_branch/promoted/source/glassfish-v2.1.2-b05g-src.zip
   looks like it contains all the code you need.

   Does it need to be 2.x branch at all? Maybe it would be better to build 3.1 from svn?

3. Is http://www.oracle.com/technology/products/ias/toplink/jpa/index.html really proper url for this project?
   Software from that link is licensed differently... maybe you should replace it with http://glassfish.java.net/?

=== Final Notes ===

1. http://download.java.net/ redirects to http://dlc.sun.com.edgesuite.net/ so use newer url, please.
Comment 4 Patryk Obara 2012-06-28 14:02:35 EDT
[x]  Rpmlint output 

(I forgot to change it from review of release 1)
Comment 5 gil cattaneo 2012-06-28 18:01:54 EDT
=== Issues ===

1. You're placing jars in glassfish directory, but this dir is not owned by
   any package. There are only 2 jar files, so you don't need to put them
   into subdir; simply put both files in %{_javadir}.

   https://fedoraproject.org/wiki/Packaging:Guidelines#File_and_Directory_Ownership

corrected

2. I am not sure where does version come from; do you really need to download part from 2.0 and part from 2.1 branches?
yes is only required for build
and i take a suggestion from here https://build.opensuse.org/package/view_file?file=glassfish-persistence.spec&package=glassfish-persistence&project=Java%3Ajpackage-5.0&rev=e2131cccbf1f703e9677245b44be5d38

   How about pulling only
   http://dlc.sun.com.edgesuite.net/javaee5/v2.1.2_branch/promoted/source/glassfish-v2.1.2-b05g-src.zip
   looks like it contains all the code you need.

i dont want import glassfish 2.x and the source package is very big for 1 library (37MB)
   Does it need to be 2.x branch at all? 
yes
Maybe it would be better to build 3.1 from svn?
non available in 3.x and glassfish 3 require hk2 http://hk2.java.net/ for build

3. Is http://www.oracle.com/technology/products/ias/toplink/jpa/index.html really proper url for this project?
   Software from that link is licensed differently... maybe you should replace it with http://glassfish.java.net/?

corrected

=== Final Notes ===

1. http://download.java.net/ redirects to http://dlc.sun.com.edgesuite.net/ so use newer url, please.
corrected


Spec URL: http://gil.fedorapeople.org/glassfish-toplink-essentials/3/glassfish-toplink-essentials.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-toplink-essentials/3/glassfish-toplink-essentials-2.0.46-3.fc16.src.rpm
- moved in files in %%{_javadir}
- fixed Url and source0 url
Comment 6 Patryk Obara 2012-07-02 08:31:49 EDT
================
*** APPROVED ***
================

When importing to scm, I suggest replacing:

gzip -dc %{SOURCE1} | tar xf -
with:
tar xzf %{SOURCE1}
Comment 7 gil cattaneo 2012-07-02 11:08:27 EDT
New Package SCM Request
=======================
Package Name: glassfish-toplink-essentials
Short Description: Glassfish JPA Toplink Essentials
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 8 Gwyn Ciesla 2012-07-02 11:19:36 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-07-02 11:52:02 EDT
glassfish-toplink-essentials-2.0.46-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/glassfish-toplink-essentials-2.0.46-3.fc17
Comment 10 Fedora Update System 2012-07-02 18:29:55 EDT
glassfish-toplink-essentials-2.0.46-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 11 Fedora Update System 2012-07-10 16:48:30 EDT
glassfish-toplink-essentials-2.0.46-3.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.